//
//  ViewController.swift
//  PragmaticTweets
//
//  Created by Chris Adamson on 8/17/15.
//  Copyright © 2015 Pragmatic Programmers, LLC. All rights reserved.
//

import UIKit
import Social

class ViewController: UIViewController {
  
  @IBOutlet weak var twitterWebView: UIWebView!
  
  override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
  }
  
  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }
  
  @IBAction func handleTweetButtonTapped(sender: UIButton) {
    if SLComposeViewController.isAvailableForServiceType(SLServiceTypeTwitter){
      let tweetVC = SLComposeViewController(forServiceType: SLServiceTypeTwitter)
      tweetVC.setInitialText(
        "I just finished the first project in iOS 9 SDK Development. #pragsios9")
      presentViewController(tweetVC, animated: true, completion: nil)
    } else {
      NSLog("Can't send tweet")
    }
  }

/* IB-provided stub for handleShowMyTweetsTapped(), as quoted in the book's text
  @IBAction func handleShowMyTweetsTapped(sender: UIButton) {
  }
*/
  
  @IBAction func handleShowMyTweetsTapped(sender: UIButton) {
    if let url = NSURL (string: "https://twitter.com/pragsiostest") { 
      let urlRequest = NSURLRequest(URL: url) 
      twitterWebView.loadRequest(urlRequest) 
    }
  }
  
/*
  @IBAction func handleShowMyTweetsTapped(sender: AnyObject) {
    guard let url = NSURL (string: "https://twitter.com/pragsiostest") else {
      return
    }
    let urlRequest = NSURLRequest(URL: url)
    twitterWebView.loadRequest(urlRequest)
  }
*/
  
}