//: Playground - noun: a place where people can play

import UIKit

// for-in loop
let models = ["iPhone 6s", "iPhone 6s Plus", "iPad Air 2", 
    "iPad mini", "iPad Pro"] 
for model in models { 
  NSLog ("model: \(model)") 
}

// for loop with index
for i in 0 ..< models.count {
  NSLog ("model by index: \(models[i])")
}

// for loop with both index and item will be introduced next chapter

// if
let sizeInMm = [
  "iPhone 6s": 138.1,
  "iPhone 6s Plus" : 158.1,
  "iPad Air 2" : 240.0,
  "iPad Pro" : 305.7]

let model = "iPhone 6s"
if sizeInMm[model] != nil {
  NSLog ("size of \(model) is \(sizeInMm[model])") 
} else {
  NSLog ("couldn't find \(model)") 
}

// guard doesn't really work in a playground

// switch
switch model {
  case "iPhone 6s Plus":
    NSLog ("That's what I want")
  case "iPhone 7":
    NSLog ("Have they even released that?")
  default:
    NSLog ("Not my thing")
}
