//: Playground - noun: a place where people can play

import UIKit

var intsArray = [1, 2, 3, 4, 5]
var stringsArray = ["iPhone 6", "iPhone 6 Plus", "iPad Air 2"]

func randomMember<T>(array: [T]) -> T {
    return array[Int(arc4random_uniform(UInt32(array.count)))]
}

var myInt = randomMember(intsArray)
myInt.dynamicType

var myString = randomMember(stringsArray)
myString.dynamicType


// could we now turn this into an extension?
// NOTE: nothing generic about this... put it in a different section, if at all
extension Array {
    func extensionRandomMember() -> Element {
        return self[Int(arc4random_uniform(UInt32(self.count)))]
    }
}

var randomStringFromExtension = stringsArray.extensionRandomMember()

