//
//  ViewController.swift
//  TableStyleDemo
//
//  Created by Chris Adamson on 8/30/15.
//  Copyright © 2015 Pragmatic Programmers, LLC. All rights reserved.
//

import UIKit

class ViewController: UITableViewController {

	override func viewDidLoad() {
		super.viewDidLoad()
		// Do any additional setup after loading the view, typically from a nib.
	}

	override func didReceiveMemoryWarning() {
		super.didReceiveMemoryWarning()
		// Dispose of any resources that can be recreated.
	}

	
	override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
		return 1
	}
	
	override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
		return 4
	}
	
	override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
		let cell: UITableViewCell
		switch indexPath.row {
		case 0:
			cell = UITableViewCell(style: .Default, reuseIdentifier: nil)
		case 1:
			cell = UITableViewCell(style: .Subtitle, reuseIdentifier: nil)
			cell.detailTextLabel?.text = "UITableViewStyle.Subtitle"
		case 2:
			cell = UITableViewCell(style: .Value1, reuseIdentifier: nil)
			cell.detailTextLabel?.text = "UITableViewStyle.Value1"
		case 3:
			cell = UITableViewCell(style: .Value2, reuseIdentifier: nil)
			cell.detailTextLabel?.text = "UITableViewStyle.Value2"
		default:
			cell = UITableViewCell(style: .Default, reuseIdentifier: nil)
		}
		cell.textLabel?.text = "Row \(indexPath.row)"
		return cell
	}

	

}

