//
//  ViewController.swift
//  PragmaticTweets
//
//  Created by Chris Adamson on 8/17/15.
//  Copyright © 2015 Pragmatic Programmers, LLC. All rights reserved.
//

import UIKit
import Social

class ViewController: UIViewController {
  
  override func viewDidLoad() {
    super.viewDidLoad()
    // Do any additional setup after loading the view, typically from a nib.
  }
  
  override func didReceiveMemoryWarning() {
    super.didReceiveMemoryWarning()
    // Dispose of any resources that can be recreated.
  }
  
  @IBAction func handleTweetButtonTapped(sender: UIButton) {
    if SLComposeViewController.isAvailableForServiceType(SLServiceTypeTwitter){ 
      let tweetVC = SLComposeViewController(forServiceType: 
        SLServiceTypeTwitter) 
      tweetVC.setInitialText( 
      "I just finished the first project in iOS 9 SDK Development. #pragsios9") 
      self.presentViewController(tweetVC, animated: true, completion: nil) 
    } else { 
      NSLog("Can't send tweet")
    } 
  }
}