//
//  WebViewTests.swift
//  PragmaticTweets
//
//  Created by Chris Adamson on 8/27/15.
//  Copyright © 2015 Pragmatic Programmers, LLC. All rights reserved.
//

import XCTest
@testable import PragmaticTweets

class WebViewTests: XCTestCase {
    
    override func setUp() {
        super.setUp()
        // Put setup code here. This method is called before the invocation of each test method in the class.
    }
    
    override func tearDown() {
        // Put teardown code here. This method is called after the invocation of each test method in the class.
        super.tearDown()
    }
    
    func testExample() {
        // This is an example of a functional test case.
        // Use XCTAssert and related functions to verify your tests produce the correct results.
    }
    
    func testPerformanceExample() {
        // This is an example of a performance test case.
        self.measureBlock {
            // Put the code you want to measure the time of here.
        }
    }
  
  func testAutomaticWebLoad() {
    guard let viewController = 
      UIApplication.sharedApplication().windows[0].rootViewController 
        as? ViewController else { 
          XCTFail("couldn't get root view controller") 
          return
    }
    let webViewContents = 
    viewController.twitterWebView.stringByEvaluatingJavaScriptFromString( 
      "document.documentElement.textContent") 
    XCTAssertNotNil(webViewContents, "web view contents are nil") 
    XCTAssertNotEqual(webViewContents!, "", "web view contents are empty") 
  }
}
